org.modeshape.jcr.query

## Class JcrQueryResult.QueryResultRowIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultRowIterator

- All Implemented Interfaces:
    Iterator, RowIterator, RangeIterator
  Direct Known Subclasses:
    JcrQueryResult.SingleSelectorQueryResultRowIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.QueryResultRowIterator
      extends Object
      implements RowIterator

  The `RowIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getRows()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `columnNames`
    `protected QueryResults.Columns` | `columns`
    `protected JcrQueryContext` | `context`
    `protected String` | `query`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.QueryResultRowIterator(JcrQueryContext context, String query, QueryResults results, Iterator<Object[]> tuples, long numRows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Row` | `getNextRow(Object[] tuple)`
    `long` | `getPosition()`
    `protected String` | `getPropertyNameForColumnName(String columnName)`
    `long` | `getSize()`
    `boolean` | `hasNext()`
    `boolean` | `hasSelector(String selectorName)`
    `protected Value` | `jcrDouble(Double score)`
    `protected Value` | `jcrLong(Long value)`
    `protected Value` | `jcrName()`
    `protected Value` | `jcrName(Name name)`
    `protected Value` | `jcrPath(Path path)`
    `protected Value` | `jcrString(String name)`
    `Object` | `next()`
    `Row` | `nextRow()`
    `void` | `remove()`
    `void` | `skip(long skipNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnNames

          protected final List<String> columnNames

    - #### context

          protected final JcrQueryContext context

    - #### columns

          protected final QueryResults.Columns columns

    - #### query

          protected final String query

  - ### Constructor Detail

    - #### JcrQueryResult.QueryResultRowIterator

          protected JcrQueryResult.QueryResultRowIterator(JcrQueryContext context,
                                               String query,
                                               QueryResults results,
                                               Iterator<Object[]> tuples,
                                               long numRows)

  - ### Method Detail

    - #### hasSelector

          public boolean hasSelector(String selectorName)

    - #### nextRow

          public Row nextRow()

      Specified by:
        `nextRow` in interface `RowIterator`

    - #### getPosition

          public long getPosition()

      Specified by:
        `getPosition` in interface `RangeIterator`

    - #### getSize

          public long getSize()

      Specified by:
        `getSize` in interface `RangeIterator`

    - #### skip

          public void skip(long skipNum)

      Specified by:
        `skip` in interface `RangeIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### getNextRow

          protected Row getNextRow(Object[] tuple)
                            throws RepositoryException

      Throws:
        `RepositoryException`

    - #### getPropertyNameForColumnName

          protected String getPropertyNameForColumnName(String columnName)

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

    - #### jcrPath

          protected Value jcrPath(Path path)

    - #### jcrName

          protected Value jcrName(Name name)

    - #### jcrName

          protected Value jcrName()

    - #### jcrString

          protected Value jcrString(String name)

    - #### jcrLong

          protected Value jcrLong(Long value)

    - #### jcrDouble

          protected Value jcrDouble(Double score)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.